Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1786712

Summary: Failed to load Ocsinventory::Agent, Global symbol "$self" requires explicit package name
Product: [Fedora] Fedora EPEL Reporter: Nerijus Baliūnas <nerijus>
Component: ocsinventory-agentAssignee: jcpunk
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: jcpunk
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ocsinventory-agent-2.6.0-3.2.el7 ocsinventory-agent-2.6.0-3.2.fc31 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-09 00:26:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Nerijus Baliūnas 2019-12-27 12:34:33 UTC
Using ocsinventory-agent-2.6.0-3.el7.x86_64, in var/log/ocsinventory-agent/ocsinventory-agent.log:
Running ocsinventory-agent --wait 100 --lazy --nolocal --server=example
Failed to load Ocsinventory::Agent, Global symbol "$self" requires explicit package name at /usr/share/perl5/vendor_perl/Ocsinventory/Agent.pm line 166.
Compilation failed in require at (eval 1) line 1.
BEGIN failed--compilation aborted at (eval 1) line 1.

Comment 1 Nerijus Baliūnas 2019-12-27 12:39:51 UTC
If I change $self to $config on line 166, I get:
ocsinventory-agent --nolocal --debug --server=bluegene.xxx.lt
Argument "/var/lib/ocsinventory-agent/http:__bluegene.xxx.lt_ocsin..." isn't numeric in numeric eq (==) at /usr/share/perl5/vendor_perl/Ocsinventory/Agent.pm line 174.

Comment 2 Fedora Update System 2020-01-06 14:55:10 UTC
FEDORA-2020-4c8a066b83 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4c8a066b83

Comment 3 Fedora Update System 2020-01-06 14:55:11 UTC
FEDORA-EPEL-2020-1dbced42b2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1dbced42b2

Comment 4 Fedora Update System 2020-01-07 00:33:17 UTC
ocsinventory-agent-2.6.0-3.2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1dbced42b2

Comment 5 Fedora Update System 2020-01-07 01:07:21 UTC
ocsinventory-agent-2.6.0-3.2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4c8a066b83

Comment 6 Fedora Update System 2020-01-09 00:26:54 UTC
ocsinventory-agent-2.6.0-3.2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-01-16 19:16:18 UTC
ocsinventory-agent-2.6.0-3.2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.